bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Several issues with coprocesses regarding exit status


From: Andreas Schwab
Subject: Re: Several issues with coprocesses regarding exit status
Date: Wed, 12 Dec 2012 09:11:03 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.90 (gnu/linux)

DJ Mills <address@hidden> writes:

> 2)
>   However, the exception to #1 is my second issue, with is that coproc
> always
>   seems to fail when called within the test portion of an if statement. I
> have
>   absolutely no idea why this happens.
>
>   To reproduce:
>     if ! coproc false; then echo error1 >&2; fi; wait "$COPROC_PID" || echo
> error2 >&2

This has nothing to do with if but with ! which doesn't appear to work
in this context.

Andreas.

-- 
Andreas Schwab, address@hidden
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."



reply via email to

[Prev in Thread] Current Thread [Next in Thread]